"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class IdentityByDescent(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "ibd0",
        "ibd1",
        "ibd2",
        "pihat",
        "relatedSample",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_0 import reports as reports_6_6_0

        return {
            "org.gel.models.report.avro.IdentityByDescent": reports_6_6_0.IdentityByDescent,
        }

    __slots__ = [
        "ibd0",
        "ibd1",
        "ibd2",
        "pihat",
        "relatedSample",
    ]

    def __init__(
        self,
        ibd0,
        ibd1,
        ibd2,
        pihat,
        relatedSample,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_6_0.IdentityByDescent model.

        :param ibd0:
        :type ibd0: float
        :param ibd1:
        :type ibd1: float
        :param ibd2:
        :type ibd2: float
        :param pihat:
        :type pihat: float
        :param relatedSample:
        :type relatedSample: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.6.0"
